﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Threading;
using System.Globalization;

namespace ConsoleApplicationAndUnicode {
	class Program {
		static void Main(string[] args) {
			Console.WriteLine(CultureInfo.CurrentCulture);
			Console.WriteLine(CultureInfo.CurrentUICulture);
			Console.WriteLine(CultureInfo.InstalledUICulture);

			Console.WriteLine();

			Console.WriteLine(3.14.ToString());
			Console.WriteLine(3.14.ToString("c", new CultureInfo("cs-CZ")));

			Console.WriteLine(3.14.ToString(new CultureInfo("en-US")));
			Console.WriteLine(3.14.ToString("c", new CultureInfo("en-US")));

			Console.Write("Press ENTER to show more examples ...");
			Console.ReadLine();
			Console.WriteLine();






			Console.WriteLine("***using CurrentCulture ***");
			List<string> l = new List<string> { "děda", "dům", "cihla", "zinek", "chata", "depka", "dzoing" };
			l.Sort();
			foreach (var s in l) {
				Console.WriteLine(s);
			}

			Console.WriteLine();
			Console.WriteLine("*** using cs-CZ culture ***");
			Thread.CurrentThread.CurrentCulture = new CultureInfo("cs-CZ");
			l.Sort();
			foreach (var s in l) {
				Console.WriteLine(s);
			}

			Console.WriteLine();
			Console.WriteLine("*** using en-US culture ***");
			Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");

			Console.WriteLine();
			l.Sort();
			foreach (var s in l) {
				Console.WriteLine(s);
			}

			Console.Write("Press ENTER to show more examples ...");
			Console.ReadLine();
			Console.WriteLine();

			Console.WriteLine("*** using InvariantCulture ***");		
			l.Sort(StringComparer.InvariantCulture);
			foreach (var s in l) {
				Console.WriteLine(s);
			}

			Console.Write("Press ENTER to show more examples ...");
			Console.ReadLine();
			Console.WriteLine();

			Console.WriteLine("*** using StringComparer.Ordinal ***");
			l.Sort(StringComparer.Ordinal);
			foreach (var s in l) {
				Console.WriteLine(s);
			}

		}
	}
}
